/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import * as i0 from "@angular/core";
import * as i1 from "./scrollview.component";
import * as i2 from "./localization/custom-messages.component";
/**
 * Represents the [NgModule](link:site.data.urls.angular['ngmoduleapi'])
 * definition for the ScrollView component.
 *
 * @example
 *
 * ```ts-no-run
 * // Import the ScrollView module
 * import { ScrollViewModule } from '@progress/kendo-angular-scrollview';
 *
 * // The browser platform with a compiler
 * import { platformBrowserDynamic } from '@angular/platform-browser-dynamic';
 *
 * import { NgModule } from '@angular/core';
 *
 * // Import the app component
 * import { AppComponent } from './app.component';
 *
 * // Define the app module
 * _@NgModule({
 *     declarations: [AppComponent], // declare app component
 *     imports:      [BrowserModule, ScrollViewModule], // import ScrollView module
 *     bootstrap:    [AppComponent]
 * })
 * export class AppModule {}
 *
 * // Compile and launch the module
 * platformBrowserDynamic().bootstrapModule(AppModule);
 *
 * ```
 */
export declare class ScrollViewModule {
    static ɵfac: i0.ɵɵFactoryDeclaration<ScrollViewModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<ScrollViewModule, never, [typeof i1.ScrollViewComponent, typeof i2.CustomMessagesComponent], [typeof i1.ScrollViewComponent, typeof i2.CustomMessagesComponent]>;
    static ɵinj: i0.ɵɵInjectorDeclaration<ScrollViewModule>;
}
